Description

It would be useful if there was the option to add an additional SCSI controller when provisioning a new host or creating a compute

resource. Sometimes we need to add multiple disks and they need to have a different type of SCSI controller.

Related issues:

Related to Foreman - Feature #3496: SCSI Controller type selection for vSphere Closed 10/25/2013

Related to Foreman - Feature #1946: Addition VMWare options required for VM c... Resolved 11/15/2012

Related to Foreman - Bug #7803: Cannot provision vsphere vm with 8 or more disks Closed 10/03/2014

Related to Foreman - Feature #19325: Adding VMware vSphere SCSI Controller ID... Closed 04/20/2017

Related to Foreman - Bug #19614: Storage cluster Datastore Resolved 05/22/2017

Associated revisions

Revision 80dc430e - 07/20/2017 08:56 AM - Ohad Levy

fixes #4509 - VMWare: multiple scsi controllers

History

#1 - 03/03/2014 09:11 AM - Dominic Cleal

- Related to Feature #3496: SCSI Controller type selection for vSphere added

#2 - 09/26/2014 07:19 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

VMware I presume?

#3 - 09/29/2014 10:41 AM - Chris Pisano

Dominic Cleal wrote:

VMware I presume?

 yup this would be for vmware.

#4 - 02/28/2016 09:34 AM - Angelo Lisco

It would be very very useful.

By the way, I think that this issue should be related to #1946

#5 - 03/23/2016 05:18 PM - Anonymous

- Related to Feature #1946: Addition VMWare options required for VM creation added

#6 - 09/11/2016 05:30 AM - Shlomi Zadok

- Status changed from New to Need more information
https://projects.theforeman.org/issues/1946


I believe this has been resolved? We currently have:

BusLogic Parallel

LSI Logic Parallel

LSI Logic SAS

VMware Paravirtual

I believe this covers the VMWare SCSI controllers

#7 - 09/14/2016 02:02 PM - Chris Pisano

Shlomi Zadok wrote:

I believe this has been resolved? We currently have:

BusLogic Parallel

LSI Logic Parallel

LSI Logic SAS

VMware Paravirtual

I believe this covers the VMWare SCSI controllers

 Is there the capability of selecting a different SCSI controller per disk? I think right now there is only the option to select a single SCSI controller that is

used for all disks.

#8 - 09/15/2016 02:55 AM - Dominic Cleal

- Subject changed from Additional SCSI Controller to Additional SCSI Controller with per-disk configuration

- Status changed from Need more information to New

#9 - 09/21/2016 05:40 AM - Shlomi Zadok

- Status changed from New to Need more information

- Assignee set to Shlomi Zadok

I am not so familiar with VMWare, but as far as I know only one scsi controller can be set per server (I may be wrong though).

Also please see this note 

https://github.com/fog/fog-vsphere/blob/7ab0298bd08a2444c089cb9ca520b73f24d05dfc/lib/fog/vsphere/models/compute/server.rb#L48 regarding

that.

@Christian Holzheimer, would love more info on the matter. Thanks :)

#10 - 09/21/2016 05:41 AM - Shlomi Zadok

- Target version set to 1.5.3

#11 - 09/22/2016 09:12 AM - Marek Hulán

- Status changed from Need more information to New

According to 

https://pubs.vmware.com/vsphere-51/index.jsp?topic=%2Fcom.vmware.vsphere.vm_admin.doc%2FGUID-5872D173-A076-42FE-8D0B-9DB0EB0E7

362.html it's possible. As said, fog-vsphere does not support it so the patch there would be required. A good start would probably be to report

fog-vsphere issue.

#12 - 09/29/2016 07:16 AM - Marek Hulán

- Target version changed from 1.5.3 to 1.5.0

#13 - 10/17/2016 01:23 PM - Angelo Lisco

Marek Hulán wrote:

According to 

https://pubs.vmware.com/vsphere-51/index.jsp?topic=%2Fcom.vmware.vsphere.vm_admin.doc%2FGUID-5872D173-A076-42FE-8D0B-9DB0E

B0E7362.html it's possible. As said, fog-vsphere does not support it so the patch there would be required. A good start would probably be to

report fog-vsphere issue.

 It seems that in the last fog-vsphere release (1.3.0) there's a feature to add a scsi controller to a vm.

https://github.com/fog/fog-vsphere/pull/53
#14 - 10/18/2016 02:47 AM - Timo Goebel

Angelo Lisco wrote:

It seems that in the last fog-vsphere release (1.3.0) there's a feature to add a scsi controller to a vm.

https://github.com/fog/fog-vsphere/pull/53

 Angelo, that is true. Thank you for the hint. However the added functionality won't help as it only allows you to add a scsi controller to an existing VM.

What we need is code, that creates the vm with the desired scsi controllers.

Shlomi, I am very interested in seeing this feature happen. If you don't mind I'll take a look to patch fog-vsphere to support what we need and then

help with reviewing the Foreman PR.

#15 - 10/18/2016 09:38 AM - Timo Goebel

Timo Goebel wrote:

If you don't mind I'll take a look to patch fog-vsphere to support what we need.

 I opened a PR against fog-vsphere:

https://github.com/fog/fog-vsphere/pull/54

#16 - 10/18/2016 10:31 AM - Marek Hulán

- Target version changed from 1.5.0 to 1.4.2

#17 - 10/27/2016 09:12 AM - Marek Hulán

The PR allowing more SCSI controllers was merged and released in fog-vsphere 1.4.0, thanks Timo!

#18 - 10/31/2016 10:47 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3979 added

#19 - 11/08/2016 09:35 AM - Marek Hulán

- Target version changed from 1.4.2 to 1.4.4

#20 - 11/29/2016 08:53 AM - Marek Hulán

- Target version changed from 1.4.4 to 1.10.1

#21 - 12/13/2016 01:31 AM - Shlomi Zadok

- Target version changed from 1.10.1 to 115

#22 - 12/30/2016 09:49 AM - Anonymous

- Related to Bug #7803: Cannot provision vsphere vm with 8 or more disks added

#23 - 03/09/2017 08:30 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/4366 added

#24 - 03/28/2017 07:48 AM - Marek Hulán

- Pull request deleted (https://github.com/theforeman/foreman/pull/4366)

Probably added by mistaken in commit message

#25 - 03/28/2017 09:20 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/4366 added

#26 - 04/21/2017 04:08 AM - Timo Goebel

- Related to Feature #19325: Adding VMware vSphere SCSI Controller ID Selection to volumes added

#27 - 07/17/2017 07:43 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/4676 added
#28 - 07/17/2017 10:27 AM - Marek Hulán

- Pull request deleted (https://github.com/theforeman/foreman/pull/4366, https://github.com/theforeman/foreman/pull/3979)

#29 - 07/20/2017 08:58 AM - Marek Hulán

- translation missing: en.field_release set to 240

#30 - 07/20/2017 09:01 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 80dc430ed4b45794ff25c514ad03a5d3d45d2135.

#31 - 10/23/2017 03:41 PM - Anonymous

- Related to Bug #19614: Storage cluster Datastore  added

#32 - 10/27/2017 06:24 PM - Marek Hulán

- Bugzilla link set to 1419060
